pcl::device::MultiTreeLiveProc Class Reference

Processor using multiple trees. More...

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/src/internal.h>`

## Public Member Functions

| MultiTreeLiveProc (int def_rows=480, int def_cols=640)
| Constructor with default values, allocates multilmap device memory. More...
| ~MultiTreeLiveProc ()
| Empty destructor. More...
void | process (const Depth &dmap, Labels &lmap)
void | process (const Depth &dmap, Labels &lmap, int FGThresh)
| same as process, but runs the trick of declaring as background any neighbor that is more than FGThresh away. More...
void | processProb (const Depth &dmap, Labels &lmap, LabelProbability &prob, int FGThresh)
| output a probability map from the RDF. More...

## Public Attributes

std::vector< CUDATree > | trees
MultiLabels | multilmap

## Detailed Description

Processor using multiple trees.

Definition at line 131 of file internal.h.

## Constructor & Destructor Documentation

## MultiTreeLiveProc()

pcl::device::MultiTreeLiveProc::MultiTreeLiveProc | ( | int | def_rows = `480`,
|  | int | def_cols = `640`
| ) |  |

inline

Constructor with default values, allocates multilmap device memory.

Definition at line 135 of file internal.h.

## ~MultiTreeLiveProc()

pcl::device::MultiTreeLiveProc::~MultiTreeLiveProc | ( |  | ) |

inline

Empty destructor.

Definition at line 137 of file internal.h.

## Member Function Documentation

## process() [1/2]

void pcl::device::MultiTreeLiveProc::process | ( | const Depth & | dmap,
|  | Labels & | lmap
| ) |  |

## process() [2/2]

void pcl::device::MultiTreeLiveProc::process | ( | const Depth & | dmap,
|  | Labels & | lmap,
|  | int | FGThresh
| ) |  |

same as process, but runs the trick of declaring as background any neighbor that is more than FGThresh away.

## processProb()

void pcl::device::MultiTreeLiveProc::processProb | ( | const Depth & | dmap,
|  | Labels & | lmap,
|  | LabelProbability & | prob,
|  | int | FGThresh
| ) |  |

output a probability map from the RDF.

## Member Data Documentation

## multilmap

MultiLabels pcl::device::MultiTreeLiveProc::multilmap

Definition at line 151 of file internal.h.

## trees

std::vector<CUDATree> pcl::device::MultiTreeLiveProc::trees

Definition at line 150 of file internal.h.

The documentation for this class was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/src/internal.h